<app-navbar>
  <div class="mat-elevation-z8">
    <br />
    <button mat-raised-button color="primary"
            (click)="addHabitation()">
      Ajouter une habitation
    </button> <br />

    <div class="toolbar-filter">
      <mat-form-field style="width: 40%">
        <mat-label>Libellé</mat-label>
        <input matInput (keyup)="applyFilter($event)"
               placeholder="Entrez le contenu d'un libellé"/>
      </mat-form-field>
      &nbsp;&nbsp;

      <mat-form-field>
        <mat-label>Type habitat</mat-label>
        <mat-select
          [(value)]="selectedTypeHabitat"
          (selectionChange)="onTypeHabitatChange()"
          name="typehabitat"
        >
          <mat-option value=0 >Tout</mat-option>
          <mat-option *ngFor="let typeHabitat of typeHabitats" [value]="typeHabitat.id">
            {{typeHabitat.libelle}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>

    <table mat-table [dataSource]="dataSource">

      <ng-container matColumnDef="typehabitat">
        <th mat-header-cell *matHeaderCellDef> Type </th>
        <td mat-cell *matCellDef="let element">
          <app-type-habitat [typeId]="element.typehabitat.id" ></app-type-habitat>
        </td>
      </ng-container>

      <!-- Libellé Column -->
      <ng-container matColumnDef="libelle">
        <th mat-header-cell *matHeaderCellDef> Libellé </th>
        <td mat-cell *matCellDef="let element"> {{element.libelle}} </td>
      </ng-container>

      <!-- Description Column -->
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef> Description </th>
        <td mat-cell *matCellDef="let element"> {{element.description}} </td>
      </ng-container>

      <ng-container matColumnDef="items">
        <th mat-header-cell *matHeaderCellDef> Options </th>
        <td mat-cell *matCellDef="let element">
          <app-options [options]="element.items" ></app-options>
        </td>
      </ng-container>

      <ng-container matColumnDef="optionpayantes">
        <th mat-header-cell *matHeaderCellDef> Options payantes </th>
        <td mat-cell *matCellDef="let element">
          <app-options-payante-location [optionpayantes]="element.optionpayantes" ></app-options-payante-location>
        </td>
      </ng-container>

      <ng-container matColumnDef="image">
        <th mat-header-cell *matHeaderCellDef>&nbsp;</th>
        <td mat-cell *matCellDef="let element"> <img src="{{element.image}}" width="50px" /> </td>
      </ng-container>

      <ng-container matColumnDef="prixnuit">
        <th mat-header-cell *matHeaderCellDef> Prix nuit </th>
        <td mat-cell *matCellDef="let element"> {{element.prixnuit | currency:'EUR'}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"
          (click)="edit(row.id)"
      ></tr>
    </table>

    <mat-paginator
      [pageSizeOptions]="[25, 50]"
      showFirstLastButtons>

    </mat-paginator>
  </div>
</app-navbar>
